module.exports = [
  {
    name: "name",
    type: "input",
    message: "Name of the Chrome Extension?",
    default: "chrome-extension",
  },
  {
    name: "version",
    type: "input",
    message: "Version for the Chrome Extension?",
    default: "0.0.1",
  },
  {
    name: "description",
    type: "input",
    message: "Description for the Chrome Extension?",
    default: "chrome extension for ...",
  },
  {
    name: "script",
    type: "list",
    message: "javascript or typescript?",
    choices: ["js", "ts"],
    default: "js",
  },
  {
    name: 'components',
    type: 'checkbox',
    default: ['popup', 'background'],
    message: 'Which browser extension components do you wish to generate?',
    choices: [
      {
        name: 'Background script',
        value: 'background',
        short: 'background',
        checked: true
      },
      {
        name: 'Browser Action Popup',
        value: 'popup',
        short: 'popup',
        checked: true
      },
      {
        name: 'Options Page',
        value: 'options',
        short: 'options'
      },
      {
        name: 'Content Scripts',
        value: 'contentScripts',
        short: 'content scripts'
      },
      {
        name: 'Override Page',
        value: 'override',
        short: 'override'
      },
      {
        name: 'Standalone Tab',
        value: 'standalone',
        short: 'standalone'
      },
      {
        name: 'Dev Tools Tab',
        value: 'devtools',
        short: 'dev tools'
      }
    ],
    filter: async (input) => {
      const componentMap = {}

      input.forEach((component) => {
        componentMap[component] = true
      })

      return componentMap
    }
  }
]
